#pragma once
#include "afxcmn.h"
#include "ToolTipListCtrl.h"
#include "afxwin.h"


// CSitesDlg dialog

class CSitesDlg : public CDialog
{
	DECLARE_DYNAMIC(CSitesDlg)

public:
	CSitesDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSitesDlg();

// Dialog Data
	enum { IDD = IDD_SITES_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CToolTipListCtrl mSiteList;
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedCreate();
	afx_msg void OnLvnItemchangedSitelist(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedUpdate();
	afx_msg void OnBnClickedAdvanced();
	afx_msg void OnSize(UINT nType, int cx, int cy);

	CButton mUpdateButton;
	CButton mCreateButton;
	CButton mDeleteButton;

	CStatic mInfoLabel;

	int mSelectedAll;
	int mSizeInited;
	afx_msg void OnNMDblclkSitelist(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMKillfocusSitelist(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedSelectall();
	CButton mSelectAllButton;
	afx_msg void OnLvnColumnclickSitelist(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnBnClickedDelete();
	afx_msg void OnHdnItemdblclickSitelist(NMHDR *pNMHDR, LRESULT *pResult);
};
